## SnapdUserInformation SnapdUserInformation — User information class |

## Functions

gint64 | snapd_user_information_get_id ()
const gchar * | snapd_user_information_get_username ()
const gchar * | snapd_user_information_get_email ()
GStrv | snapd_user_information_get_ssh_keys ()
SnapdAuthData * | snapd_user_information_get_auth_data ()

## Properties

SnapdAuthData * | auth-data | Read / Write / Construct Only
char * | email | Read / Write / Construct Only
gint64 | id | Read / Write / Construct Only
GStrv | ssh-keys | Read / Write / Construct Only
char * | username | Read / Write / Construct Only

## Types and Values

| SnapdUserInformation

## Object Hierarchy

        GObject
        ╰── SnapdUserInformation

## Includes

    #include <snapd-glib/snapd-glib.h>

## Description

A SnapdUserInformation object contains the information about local users created using `snapd_client_create_user_sync()` and `snapd_client_create_users_sync()`.

## Functions

### snapd_user_information_get_id ()

    gint64
    snapd_user_information_get_id (SnapdUserInformation *user_information);

Get the id for this account.

#### Parameters

user_information | a SnapdUserInformation. |

#### Returns

a user id.

Since: 1.26

### snapd_user_information_get_username ()

    const gchar *
    snapd_user_information_get_username (SnapdUserInformation *user_information);

Get the local username for this account.

#### Parameters

user_information | a SnapdUserInformation. |

#### Returns

a username.

Since: 1.3

### snapd_user_information_get_email ()

    const gchar *
    snapd_user_information_get_email (SnapdUserInformation *user_information);

Get the email address for this account.

#### Parameters

user_information | a SnapdUserInformation. |

#### Returns

a email address.

Since: 1.26

### snapd_user_information_get_ssh_keys ()

    GStrv
    snapd_user_information_get_ssh_keys (SnapdUserInformation *user_information);

Get the SSH keys added to this account.

#### Parameters

user_information | a SnapdUserInformation. |

#### Returns

the names of the SSH keys.

[transfer none][array zero-terminated=1]

Since: 1.3

### snapd_user_information_get_auth_data ()

    SnapdAuthData *
    snapd_user_information_get_auth_data (SnapdUserInformation *user_information);

Get the email address for this account.

#### Parameters

user_information | a SnapdUserInformation. |

#### Returns

a SnapdAuthData or `NULL` if not set.

[transfer none][allow-none]

Since: 1.26

## Types and Values

### SnapdUserInformation

    typedef struct _SnapdUserInformation SnapdUserInformation;

SnapdUserInformation contains information about a user account on the system snapd is running on.

Since: 1.3

## Property Details

### The `“auth-data”` property

      “auth-data”                SnapdAuthData *

Authorization data.

Owner: SnapdUserInformation

Flags: Read / Write / Construct Only

### The `“email”` property

      “email”                    char *

Email address.

Owner: SnapdUserInformation

Flags: Read / Write / Construct Only

Default value: NULL

### The `“id”` property

      “id”                       gint64

Account id.

Owner: SnapdUserInformation

Flags: Read / Write / Construct Only

Default value: -1

### The `“ssh-keys”` property

      “ssh-keys”                 GStrv

SSH keys.

Owner: SnapdUserInformation

Flags: Read / Write / Construct Only

### The `“username”` property

      “username”                 char *

Unix username.

Owner: SnapdUserInformation

Flags: Read / Write / Construct Only

Default value: NULL